Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.control
Class SatelliteRotatingGraphMousePlugin

    java.lang.Object
      edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
          edu.uci.ics.jung.visualization.control.RotatingGraphMousePlugin
              edu.uci.ics.jung.visualization.control.SatelliteRotatingGraphMousePlugin

All Implemented Interfaces:
  EventListener, GraphMousePlugin, MouseListener, MouseMotionListener

public class SatelliteRotatingGraphMousePlugin
extends RotatingGraphMousePlugin

Mouse events in the SatelliteView that match the modifiers will cause the Main view to rotate

Author:
  Tom Nelson - RABA Technologies
See Also:
  `RotatingGraphMousePlugin`

Field Summary

Fields inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
`cursor, down, modifiers`

Constructor Summary
`SatelliteRotatingGraphMousePlugin()`
`SatelliteRotatingGraphMousePlugin(int modifiers)`

Method Summary
`void` | `mouseDragged(MouseEvent e)` check the modifiers.

Methods inherited from class edu.uci.ics.jung.visualization.control.RotatingGraphMousePlugin
`angleBetween, mouseClicked, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased`

Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
`checkModifiers, getCursor, getModifiers, setCursor, setModifiers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SatelliteRotatingGraphMousePlugin

    public SatelliteRotatingGraphMousePlugin()

### SatelliteRotatingGraphMousePlugin

    public SatelliteRotatingGraphMousePlugin(int modifiers)

Method Detail

### mouseDragged

    public void mouseDragged(MouseEvent e)

  check the modifiers. If accepted, use the mouse drag motion to rotate the graph in the master view

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`
  Overrides:
    `mouseDragged` in class `RotatingGraphMousePlugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD